@import (reference) '../less/platoreso.less';

.modal:not(.ui) {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 3em 6em;
  z-index: 300;
  overflow: auto;
  -webkit-overflow-scrolling: touch;
  background-color: rgba(0,0,0,0.85);

  @media(max-width: @tabletBreakpoint) {
    padding: 0;
    .close {
      text-shadow: rgba(0,0,0,0.25) 1px 1px 1px;
      background-color: rgba(0,0,0,0.25);
      border-radius: 1em;
      padding: 0.25em;
      top: 0.5em;
      right: 1em;
    }
  }

  .close {
    position: fixed;
    color: @white;
    top: 0.75em;
    right: 1.25em;
    font-size: 2em;
    cursor: pointer;
    .icon {
      display: block;
      margin: 0;
      width: auto;
      height: auto;
    }
  }
}

.modal-enter, .modal-appear {
  opacity: 0.01;
  will-change: opacity;
  .close {
    opacity: 0.01;
    transform: rotateZ(0deg);
    will-change: opacity, transform;
  }
  &.modal-enter-active, &.modal-appear-active {
    opacity: 1;
    transition: opacity 250ms ease-out;
    .close {
      opacity: 1;
      transform: rotateZ(90deg);
      transition: opacity 250ms ease-out, transform 250ms ease-out;
    }
  }
}

.modal-leave {
  opacity: 1;
  will-change: opacity;
  .close {
    opacity: 1;
    transform: rotateZ(0deg);
    will-change: opacity, transform;
  }
  &.modal-leave-active {
    opacity: 0.01;
    transition: opacity 250ms ease-in;
    .close {
      opacity: 0.01;
      transform: rotateZ(-90deg);
      transition: opacity 250ms ease-in, transform 250ms ease-in;
    }
  }
}
